## Class TSqlMapExecutionException

Description

TSqlMapException is the base exception class for all SqlMap exceptions.

- version: $Id: TSqlMapException.php 1645 2007-01-20 23:46:35Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/DataMapper/TSqlMapException.php (line 112)

    Exception
       |
       --TException
          |
          --TSqlMapException
             |
             --TSqlMapExecutionException

Methods

#### Inherited Methods

Inherited From TSqlMapException

> TSqlMapException::__construct()
> TSqlMapException::getErrorMessageFile()
> TSqlMapException::implodeNode()

Inherited From TException

> TException::__construct()
> TException::getErrorCode()
> TException::getErrorMessage()
> TException::getErrorMessageFile()
> TException::setErrorCode()
> TException::setErrorMessage()
> TException::translateErrorMessage()

Documentation generated on Mon, 21 Apr 2008 11:36:17 -0400 by phpDocumentor 1.3.0RC4